Deprecated: This endpoint is deprecated, please use the fields attribute on catalog entities or native catalog endpoints (teams, services, functionalities, incident_types, causes, environments) to set field values instead.
Update a specific Catalog Entity Property by id.
curl --request PUT \
--url https://api.rootly.com/v1/catalog_entity_properties/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "catalog_entity_properties",
"attributes": {
"key": "text",
"value": "<string>"
}
}
}
'{
"data": {
"id": "<string>",
"type": "catalog_entity_properties",
"attributes": {
"catalog_entity_id": "<string>",
"catalog_field_id": "<string>",
"key": "text",
"value": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Deprecated: This endpoint is deprecated, please use the fields attribute on catalog entities or native catalog endpoints (teams, services, functionalities, incident_types, causes, environments) to set field values instead.
Show child attributes
catalog_entity_property updated
Deprecated: This endpoint is deprecated, please use include=fields on catalog entities or native catalog endpoints (teams, services, functionalities, incident_types, causes, environments) to retrieve field values instead.
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/catalog_entity_properties/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "catalog_entity_properties",
"attributes": {
"key": "text",
"value": "<string>"
}
}
}
'{
"data": {
"id": "<string>",
"type": "catalog_entity_properties",
"attributes": {
"catalog_entity_id": "<string>",
"catalog_field_id": "<string>",
"key": "text",
"value": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}
}